#!/bin/sh
QUBES_RPC=/etc/qubes-rpc
# XXX: Backward compatibility
DEPRECATED_QUBES_RPC=/etc/qubes_rpc
if ! [ $# = 2 ] ; then
	echo $0: bad argument count >&2
	exit 1
fi
export QREXEC_REMOTE_DOMAIN="$2"
CFG_FILE=$QUBES_RPC/"$1"
if [ -s "$CFG_FILE" ] ; then
	exec /bin/sh "$CFG_FILE"
	echo "$0: failed to execute handler for" "$1" >&2
	exit 1
fi
CFG_FILE=$DEPRECATED_QUBES_RPC/"$1"
if [ -s "$CFG_FILE" ] ; then
    echo "$0: RPC service '$1' uses deprecated directory, please move to $QUBES_RPC" >&2
	exec /bin/sh "$CFG_FILE"
	echo "$0: failed to execute handler for" "$1" >&2
	exit 1
fi
echo "$0: nonexistent or empty" "$CFG_FILE" file >&2
exit 1
